package com.github.ajalt.colorconvert

import com.github.ajalt.testing.softly
import org.junit.Test

class Ansi256Test {
    @Test
    fun `Ansi256 to RGB`() {
        softly {
            assertThat(Ansi256(16).toRGB()).isEqualTo(RGB(0, 0, 0))
            assertThat(Ansi256(17).toRGB()).isEqualTo(RGB(0, 0, 51))
            assertThat(Ansi256(18).toRGB()).isEqualTo(RGB(0, 0, 102))
            assertThat(Ansi256(19).toRGB()).isEqualTo(RGB(0, 0, 153))
            assertThat(Ansi256(20).toRGB()).isEqualTo(RGB(0, 0, 204))
            assertThat(Ansi256(21).toRGB()).isEqualTo(RGB(0, 0, 255))
            assertThat(Ansi256(22).toRGB()).isEqualTo(RGB(0, 51, 0))
            assertThat(Ansi256(23).toRGB()).isEqualTo(RGB(0, 51, 51))
            assertThat(Ansi256(24).toRGB()).isEqualTo(RGB(0, 51, 102))
            assertThat(Ansi256(25).toRGB()).isEqualTo(RGB(0, 51, 153))
            assertThat(Ansi256(26).toRGB()).isEqualTo(RGB(0, 51, 204))
            assertThat(Ansi256(27).toRGB()).isEqualTo(RGB(0, 51, 255))
            assertThat(Ansi256(28).toRGB()).isEqualTo(RGB(0, 102, 0))
            assertThat(Ansi256(29).toRGB()).isEqualTo(RGB(0, 102, 51))
            assertThat(Ansi256(30).toRGB()).isEqualTo(RGB(0, 102, 102))
            assertThat(Ansi256(31).toRGB()).isEqualTo(RGB(0, 102, 153))
            assertThat(Ansi256(32).toRGB()).isEqualTo(RGB(0, 102, 204))
            assertThat(Ansi256(33).toRGB()).isEqualTo(RGB(0, 102, 255))
            assertThat(Ansi256(34).toRGB()).isEqualTo(RGB(0, 153, 0))
            assertThat(Ansi256(35).toRGB()).isEqualTo(RGB(0, 153, 51))
            assertThat(Ansi256(36).toRGB()).isEqualTo(RGB(0, 153, 102))
            assertThat(Ansi256(37).toRGB()).isEqualTo(RGB(0, 153, 153))
            assertThat(Ansi256(38).toRGB()).isEqualTo(RGB(0, 153, 204))
            assertThat(Ansi256(39).toRGB()).isEqualTo(RGB(0, 153, 255))
            assertThat(Ansi256(40).toRGB()).isEqualTo(RGB(0, 204, 0))
            assertThat(Ansi256(41).toRGB()).isEqualTo(RGB(0, 204, 51))
            assertThat(Ansi256(42).toRGB()).isEqualTo(RGB(0, 204, 102))
            assertThat(Ansi256(43).toRGB()).isEqualTo(RGB(0, 204, 153))
            assertThat(Ansi256(44).toRGB()).isEqualTo(RGB(0, 204, 204))
            assertThat(Ansi256(45).toRGB()).isEqualTo(RGB(0, 204, 255))
            assertThat(Ansi256(46).toRGB()).isEqualTo(RGB(0, 255, 0))
            assertThat(Ansi256(47).toRGB()).isEqualTo(RGB(0, 255, 51))
            assertThat(Ansi256(48).toRGB()).isEqualTo(RGB(0, 255, 102))
            assertThat(Ansi256(49).toRGB()).isEqualTo(RGB(0, 255, 153))
            assertThat(Ansi256(50).toRGB()).isEqualTo(RGB(0, 255, 204))
            assertThat(Ansi256(51).toRGB()).isEqualTo(RGB(0, 255, 255))
            assertThat(Ansi256(52).toRGB()).isEqualTo(RGB(51, 0, 0))
            assertThat(Ansi256(53).toRGB()).isEqualTo(RGB(51, 0, 51))
            assertThat(Ansi256(54).toRGB()).isEqualTo(RGB(51, 0, 102))
            assertThat(Ansi256(55).toRGB()).isEqualTo(RGB(51, 0, 153))
            assertThat(Ansi256(56).toRGB()).isEqualTo(RGB(51, 0, 204))
            assertThat(Ansi256(57).toRGB()).isEqualTo(RGB(51, 0, 255))
            assertThat(Ansi256(58).toRGB()).isEqualTo(RGB(51, 51, 0))
            assertThat(Ansi256(59).toRGB()).isEqualTo(RGB(51, 51, 51))
            assertThat(Ansi256(60).toRGB()).isEqualTo(RGB(51, 51, 102))
            assertThat(Ansi256(61).toRGB()).isEqualTo(RGB(51, 51, 153))
            assertThat(Ansi256(62).toRGB()).isEqualTo(RGB(51, 51, 204))
            assertThat(Ansi256(63).toRGB()).isEqualTo(RGB(51, 51, 255))
            assertThat(Ansi256(64).toRGB()).isEqualTo(RGB(51, 102, 0))
            assertThat(Ansi256(65).toRGB()).isEqualTo(RGB(51, 102, 51))
            assertThat(Ansi256(66).toRGB()).isEqualTo(RGB(51, 102, 102))
            assertThat(Ansi256(67).toRGB()).isEqualTo(RGB(51, 102, 153))
            assertThat(Ansi256(68).toRGB()).isEqualTo(RGB(51, 102, 204))
            assertThat(Ansi256(69).toRGB()).isEqualTo(RGB(51, 102, 255))
            assertThat(Ansi256(70).toRGB()).isEqualTo(RGB(51, 153, 0))
            assertThat(Ansi256(71).toRGB()).isEqualTo(RGB(51, 153, 51))
            assertThat(Ansi256(72).toRGB()).isEqualTo(RGB(51, 153, 102))
            assertThat(Ansi256(73).toRGB()).isEqualTo(RGB(51, 153, 153))
            assertThat(Ansi256(74).toRGB()).isEqualTo(RGB(51, 153, 204))
            assertThat(Ansi256(75).toRGB()).isEqualTo(RGB(51, 153, 255))
            assertThat(Ansi256(76).toRGB()).isEqualTo(RGB(51, 204, 0))
            assertThat(Ansi256(77).toRGB()).isEqualTo(RGB(51, 204, 51))
            assertThat(Ansi256(78).toRGB()).isEqualTo(RGB(51, 204, 102))
            assertThat(Ansi256(79).toRGB()).isEqualTo(RGB(51, 204, 153))
            assertThat(Ansi256(80).toRGB()).isEqualTo(RGB(51, 204, 204))
            assertThat(Ansi256(81).toRGB()).isEqualTo(RGB(51, 204, 255))
            assertThat(Ansi256(82).toRGB()).isEqualTo(RGB(51, 255, 0))
            assertThat(Ansi256(83).toRGB()).isEqualTo(RGB(51, 255, 51))
            assertThat(Ansi256(84).toRGB()).isEqualTo(RGB(51, 255, 102))
            assertThat(Ansi256(85).toRGB()).isEqualTo(RGB(51, 255, 153))
            assertThat(Ansi256(86).toRGB()).isEqualTo(RGB(51, 255, 204))
            assertThat(Ansi256(87).toRGB()).isEqualTo(RGB(51, 255, 255))
            assertThat(Ansi256(88).toRGB()).isEqualTo(RGB(102, 0, 0))
            assertThat(Ansi256(89).toRGB()).isEqualTo(RGB(102, 0, 51))
            assertThat(Ansi256(90).toRGB()).isEqualTo(RGB(102, 0, 102))
            assertThat(Ansi256(91).toRGB()).isEqualTo(RGB(102, 0, 153))
            assertThat(Ansi256(92).toRGB()).isEqualTo(RGB(102, 0, 204))
            assertThat(Ansi256(93).toRGB()).isEqualTo(RGB(102, 0, 255))
            assertThat(Ansi256(94).toRGB()).isEqualTo(RGB(102, 51, 0))
            assertThat(Ansi256(95).toRGB()).isEqualTo(RGB(102, 51, 51))
            assertThat(Ansi256(96).toRGB()).isEqualTo(RGB(102, 51, 102))
            assertThat(Ansi256(97).toRGB()).isEqualTo(RGB(102, 51, 153))
            assertThat(Ansi256(98).toRGB()).isEqualTo(RGB(102, 51, 204))
            assertThat(Ansi256(99).toRGB()).isEqualTo(RGB(102, 51, 255))
            assertThat(Ansi256(100).toRGB()).isEqualTo(RGB(102, 102, 0))
            assertThat(Ansi256(101).toRGB()).isEqualTo(RGB(102, 102, 51))
            assertThat(Ansi256(102).toRGB()).isEqualTo(RGB(102, 102, 102))
            assertThat(Ansi256(103).toRGB()).isEqualTo(RGB(102, 102, 153))
            assertThat(Ansi256(104).toRGB()).isEqualTo(RGB(102, 102, 204))
            assertThat(Ansi256(105).toRGB()).isEqualTo(RGB(102, 102, 255))
            assertThat(Ansi256(106).toRGB()).isEqualTo(RGB(102, 153, 0))
            assertThat(Ansi256(107).toRGB()).isEqualTo(RGB(102, 153, 51))
            assertThat(Ansi256(108).toRGB()).isEqualTo(RGB(102, 153, 102))
            assertThat(Ansi256(109).toRGB()).isEqualTo(RGB(102, 153, 153))
            assertThat(Ansi256(110).toRGB()).isEqualTo(RGB(102, 153, 204))
            assertThat(Ansi256(111).toRGB()).isEqualTo(RGB(102, 153, 255))
            assertThat(Ansi256(112).toRGB()).isEqualTo(RGB(102, 204, 0))
            assertThat(Ansi256(113).toRGB()).isEqualTo(RGB(102, 204, 51))
            assertThat(Ansi256(114).toRGB()).isEqualTo(RGB(102, 204, 102))
            assertThat(Ansi256(115).toRGB()).isEqualTo(RGB(102, 204, 153))
            assertThat(Ansi256(116).toRGB()).isEqualTo(RGB(102, 204, 204))
            assertThat(Ansi256(117).toRGB()).isEqualTo(RGB(102, 204, 255))
            assertThat(Ansi256(118).toRGB()).isEqualTo(RGB(102, 255, 0))
            assertThat(Ansi256(119).toRGB()).isEqualTo(RGB(102, 255, 51))
            assertThat(Ansi256(120).toRGB()).isEqualTo(RGB(102, 255, 102))
            assertThat(Ansi256(121).toRGB()).isEqualTo(RGB(102, 255, 153))
            assertThat(Ansi256(122).toRGB()).isEqualTo(RGB(102, 255, 204))
            assertThat(Ansi256(123).toRGB()).isEqualTo(RGB(102, 255, 255))
            assertThat(Ansi256(124).toRGB()).isEqualTo(RGB(153, 0, 0))
            assertThat(Ansi256(125).toRGB()).isEqualTo(RGB(153, 0, 51))
            assertThat(Ansi256(126).toRGB()).isEqualTo(RGB(153, 0, 102))
            assertThat(Ansi256(127).toRGB()).isEqualTo(RGB(153, 0, 153))
            assertThat(Ansi256(128).toRGB()).isEqualTo(RGB(153, 0, 204))
            assertThat(Ansi256(129).toRGB()).isEqualTo(RGB(153, 0, 255))
            assertThat(Ansi256(130).toRGB()).isEqualTo(RGB(153, 51, 0))
            assertThat(Ansi256(131).toRGB()).isEqualTo(RGB(153, 51, 51))
            assertThat(Ansi256(132).toRGB()).isEqualTo(RGB(153, 51, 102))
            assertThat(Ansi256(133).toRGB()).isEqualTo(RGB(153, 51, 153))
            assertThat(Ansi256(134).toRGB()).isEqualTo(RGB(153, 51, 204))
            assertThat(Ansi256(135).toRGB()).isEqualTo(RGB(153, 51, 255))
            assertThat(Ansi256(136).toRGB()).isEqualTo(RGB(153, 102, 0))
            assertThat(Ansi256(137).toRGB()).isEqualTo(RGB(153, 102, 51))
            assertThat(Ansi256(138).toRGB()).isEqualTo(RGB(153, 102, 102))
            assertThat(Ansi256(139).toRGB()).isEqualTo(RGB(153, 102, 153))
            assertThat(Ansi256(140).toRGB()).isEqualTo(RGB(153, 102, 204))
            assertThat(Ansi256(141).toRGB()).isEqualTo(RGB(153, 102, 255))
            assertThat(Ansi256(142).toRGB()).isEqualTo(RGB(153, 153, 0))
            assertThat(Ansi256(143).toRGB()).isEqualTo(RGB(153, 153, 51))
            assertThat(Ansi256(144).toRGB()).isEqualTo(RGB(153, 153, 102))
            assertThat(Ansi256(145).toRGB()).isEqualTo(RGB(153, 153, 153))
            assertThat(Ansi256(146).toRGB()).isEqualTo(RGB(153, 153, 204))
            assertThat(Ansi256(147).toRGB()).isEqualTo(RGB(153, 153, 255))
            assertThat(Ansi256(148).toRGB()).isEqualTo(RGB(153, 204, 0))
            assertThat(Ansi256(149).toRGB()).isEqualTo(RGB(153, 204, 51))
            assertThat(Ansi256(150).toRGB()).isEqualTo(RGB(153, 204, 102))
            assertThat(Ansi256(151).toRGB()).isEqualTo(RGB(153, 204, 153))
            assertThat(Ansi256(152).toRGB()).isEqualTo(RGB(153, 204, 204))
            assertThat(Ansi256(153).toRGB()).isEqualTo(RGB(153, 204, 255))
            assertThat(Ansi256(154).toRGB()).isEqualTo(RGB(153, 255, 0))
            assertThat(Ansi256(155).toRGB()).isEqualTo(RGB(153, 255, 51))
            assertThat(Ansi256(156).toRGB()).isEqualTo(RGB(153, 255, 102))
            assertThat(Ansi256(157).toRGB()).isEqualTo(RGB(153, 255, 153))
            assertThat(Ansi256(158).toRGB()).isEqualTo(RGB(153, 255, 204))
            assertThat(Ansi256(159).toRGB()).isEqualTo(RGB(153, 255, 255))
            assertThat(Ansi256(160).toRGB()).isEqualTo(RGB(204, 0, 0))
            assertThat(Ansi256(161).toRGB()).isEqualTo(RGB(204, 0, 51))
            assertThat(Ansi256(162).toRGB()).isEqualTo(RGB(204, 0, 102))
            assertThat(Ansi256(163).toRGB()).isEqualTo(RGB(204, 0, 153))
            assertThat(Ansi256(164).toRGB()).isEqualTo(RGB(204, 0, 204))
            assertThat(Ansi256(165).toRGB()).isEqualTo(RGB(204, 0, 255))
            assertThat(Ansi256(166).toRGB()).isEqualTo(RGB(204, 51, 0))
            assertThat(Ansi256(167).toRGB()).isEqualTo(RGB(204, 51, 51))
            assertThat(Ansi256(168).toRGB()).isEqualTo(RGB(204, 51, 102))
            assertThat(Ansi256(169).toRGB()).isEqualTo(RGB(204, 51, 153))
            assertThat(Ansi256(170).toRGB()).isEqualTo(RGB(204, 51, 204))
            assertThat(Ansi256(171).toRGB()).isEqualTo(RGB(204, 51, 255))
            assertThat(Ansi256(172).toRGB()).isEqualTo(RGB(204, 102, 0))
            assertThat(Ansi256(173).toRGB()).isEqualTo(RGB(204, 102, 51))
            assertThat(Ansi256(174).toRGB()).isEqualTo(RGB(204, 102, 102))
            assertThat(Ansi256(175).toRGB()).isEqualTo(RGB(204, 102, 153))
            assertThat(Ansi256(176).toRGB()).isEqualTo(RGB(204, 102, 204))
            assertThat(Ansi256(177).toRGB()).isEqualTo(RGB(204, 102, 255))
            assertThat(Ansi256(178).toRGB()).isEqualTo(RGB(204, 153, 0))
            assertThat(Ansi256(179).toRGB()).isEqualTo(RGB(204, 153, 51))
            assertThat(Ansi256(180).toRGB()).isEqualTo(RGB(204, 153, 102))
            assertThat(Ansi256(181).toRGB()).isEqualTo(RGB(204, 153, 153))
            assertThat(Ansi256(182).toRGB()).isEqualTo(RGB(204, 153, 204))
            assertThat(Ansi256(183).toRGB()).isEqualTo(RGB(204, 153, 255))
            assertThat(Ansi256(184).toRGB()).isEqualTo(RGB(204, 204, 0))
            assertThat(Ansi256(185).toRGB()).isEqualTo(RGB(204, 204, 51))
            assertThat(Ansi256(186).toRGB()).isEqualTo(RGB(204, 204, 102))
            assertThat(Ansi256(187).toRGB()).isEqualTo(RGB(204, 204, 153))
            assertThat(Ansi256(188).toRGB()).isEqualTo(RGB(204, 204, 204))
            assertThat(Ansi256(189).toRGB()).isEqualTo(RGB(204, 204, 255))
            assertThat(Ansi256(190).toRGB()).isEqualTo(RGB(204, 255, 0))
            assertThat(Ansi256(191).toRGB()).isEqualTo(RGB(204, 255, 51))
            assertThat(Ansi256(192).toRGB()).isEqualTo(RGB(204, 255, 102))
            assertThat(Ansi256(193).toRGB()).isEqualTo(RGB(204, 255, 153))
            assertThat(Ansi256(194).toRGB()).isEqualTo(RGB(204, 255, 204))
            assertThat(Ansi256(195).toRGB()).isEqualTo(RGB(204, 255, 255))
            assertThat(Ansi256(196).toRGB()).isEqualTo(RGB(255, 0, 0))
            assertThat(Ansi256(197).toRGB()).isEqualTo(RGB(255, 0, 51))
            assertThat(Ansi256(198).toRGB()).isEqualTo(RGB(255, 0, 102))
            assertThat(Ansi256(199).toRGB()).isEqualTo(RGB(255, 0, 153))
            assertThat(Ansi256(200).toRGB()).isEqualTo(RGB(255, 0, 204))
            assertThat(Ansi256(201).toRGB()).isEqualTo(RGB(255, 0, 255))
            assertThat(Ansi256(202).toRGB()).isEqualTo(RGB(255, 51, 0))
            assertThat(Ansi256(203).toRGB()).isEqualTo(RGB(255, 51, 51))
            assertThat(Ansi256(204).toRGB()).isEqualTo(RGB(255, 51, 102))
            assertThat(Ansi256(205).toRGB()).isEqualTo(RGB(255, 51, 153))
            assertThat(Ansi256(206).toRGB()).isEqualTo(RGB(255, 51, 204))
            assertThat(Ansi256(207).toRGB()).isEqualTo(RGB(255, 51, 255))
            assertThat(Ansi256(208).toRGB()).isEqualTo(RGB(255, 102, 0))
            assertThat(Ansi256(209).toRGB()).isEqualTo(RGB(255, 102, 51))
            assertThat(Ansi256(210).toRGB()).isEqualTo(RGB(255, 102, 102))
            assertThat(Ansi256(211).toRGB()).isEqualTo(RGB(255, 102, 153))
            assertThat(Ansi256(212).toRGB()).isEqualTo(RGB(255, 102, 204))
            assertThat(Ansi256(213).toRGB()).isEqualTo(RGB(255, 102, 255))
            assertThat(Ansi256(214).toRGB()).isEqualTo(RGB(255, 153, 0))
            assertThat(Ansi256(215).toRGB()).isEqualTo(RGB(255, 153, 51))
            assertThat(Ansi256(216).toRGB()).isEqualTo(RGB(255, 153, 102))
            assertThat(Ansi256(217).toRGB()).isEqualTo(RGB(255, 153, 153))
            assertThat(Ansi256(218).toRGB()).isEqualTo(RGB(255, 153, 204))
            assertThat(Ansi256(219).toRGB()).isEqualTo(RGB(255, 153, 255))
            assertThat(Ansi256(220).toRGB()).isEqualTo(RGB(255, 204, 0))
            assertThat(Ansi256(221).toRGB()).isEqualTo(RGB(255, 204, 51))
            assertThat(Ansi256(222).toRGB()).isEqualTo(RGB(255, 204, 102))
            assertThat(Ansi256(223).toRGB()).isEqualTo(RGB(255, 204, 153))
            assertThat(Ansi256(224).toRGB()).isEqualTo(RGB(255, 204, 204))
            assertThat(Ansi256(225).toRGB()).isEqualTo(RGB(255, 204, 255))
            assertThat(Ansi256(226).toRGB()).isEqualTo(RGB(255, 255, 0))
            assertThat(Ansi256(227).toRGB()).isEqualTo(RGB(255, 255, 51))
            assertThat(Ansi256(228).toRGB()).isEqualTo(RGB(255, 255, 102))
            assertThat(Ansi256(229).toRGB()).isEqualTo(RGB(255, 255, 153))
            assertThat(Ansi256(230).toRGB()).isEqualTo(RGB(255, 255, 204))
            assertThat(Ansi256(231).toRGB()).isEqualTo(RGB(255, 255, 255))
            assertThat(Ansi256(232).toRGB()).isEqualTo(RGB(8, 8, 8))
            assertThat(Ansi256(233).toRGB()).isEqualTo(RGB(18, 18, 18))
            assertThat(Ansi256(234).toRGB()).isEqualTo(RGB(28, 28, 28))
            assertThat(Ansi256(235).toRGB()).isEqualTo(RGB(38, 38, 38))
            assertThat(Ansi256(236).toRGB()).isEqualTo(RGB(48, 48, 48))
            assertThat(Ansi256(237).toRGB()).isEqualTo(RGB(58, 58, 58))
            assertThat(Ansi256(238).toRGB()).isEqualTo(RGB(68, 68, 68))
            assertThat(Ansi256(239).toRGB()).isEqualTo(RGB(78, 78, 78))
            assertThat(Ansi256(240).toRGB()).isEqualTo(RGB(88, 88, 88))
            assertThat(Ansi256(241).toRGB()).isEqualTo(RGB(98, 98, 98))
            assertThat(Ansi256(242).toRGB()).isEqualTo(RGB(108, 108, 108))
            assertThat(Ansi256(243).toRGB()).isEqualTo(RGB(118, 118, 118))
            assertThat(Ansi256(244).toRGB()).isEqualTo(RGB(128, 128, 128))
            assertThat(Ansi256(245).toRGB()).isEqualTo(RGB(138, 138, 138))
            assertThat(Ansi256(246).toRGB()).isEqualTo(RGB(148, 148, 148))
            assertThat(Ansi256(247).toRGB()).isEqualTo(RGB(158, 158, 158))
            assertThat(Ansi256(248).toRGB()).isEqualTo(RGB(168, 168, 168))
            assertThat(Ansi256(249).toRGB()).isEqualTo(RGB(178, 178, 178))
            assertThat(Ansi256(250).toRGB()).isEqualTo(RGB(188, 188, 188))
            assertThat(Ansi256(251).toRGB()).isEqualTo(RGB(198, 198, 198))
            assertThat(Ansi256(252).toRGB()).isEqualTo(RGB(208, 208, 208))
            assertThat(Ansi256(253).toRGB()).isEqualTo(RGB(218, 218, 218))
            assertThat(Ansi256(254).toRGB()).isEqualTo(RGB(228, 228, 228))
            assertThat(Ansi256(255).toRGB()).isEqualTo(RGB(238, 238, 238))
        }
    }

    @Test
    fun `Ansi256 to Ansi16 standard colors`() {
        softly {
            assertThat(Ansi256(0).toAnsi16()).isEqualTo(Ansi16(30))
            assertThat(Ansi256(1).toAnsi16()).isEqualTo(Ansi16(31))
            assertThat(Ansi256(2).toAnsi16()).isEqualTo(Ansi16(32))
            assertThat(Ansi256(3).toAnsi16()).isEqualTo(Ansi16(33))
            assertThat(Ansi256(4).toAnsi16()).isEqualTo(Ansi16(34))
            assertThat(Ansi256(5).toAnsi16()).isEqualTo(Ansi16(35))
            assertThat(Ansi256(6).toAnsi16()).isEqualTo(Ansi16(36))
            assertThat(Ansi256(7).toAnsi16()).isEqualTo(Ansi16(37))
            assertThat(Ansi256(8).toAnsi16()).isEqualTo(Ansi16(90))
            assertThat(Ansi256(9).toAnsi16()).isEqualTo(Ansi16(91))
            assertThat(Ansi256(10).toAnsi16()).isEqualTo(Ansi16(92))
            assertThat(Ansi256(11).toAnsi16()).isEqualTo(Ansi16(93))
            assertThat(Ansi256(12).toAnsi16()).isEqualTo(Ansi16(94))
            assertThat(Ansi256(13).toAnsi16()).isEqualTo(Ansi16(95))
            assertThat(Ansi256(14).toAnsi16()).isEqualTo(Ansi16(96))
            assertThat(Ansi256(15).toAnsi16()).isEqualTo(Ansi16(97))
        }
    }
}
